#ifndef LAMPORT_H
#define LAMPORT_H

#define CRYPTO_OTS_HASHBYTES 32
#define CRYPTO_OTS_SECRETKEYBYTES (CRYPTO_OTS_HASHBYTES*CRYPTO_OTS_HASHBYTES*16)
#define CRYPTO_OTS_PUBLICKEYBYTES CRYPTO_OTS_SECRETKEYBYTES
#define CRYPTO_OTS_SIGBYTES (CRYPTO_OTS_SECRETKEYBYTES/2)

int crypto_ots_keypair(unsigned char *pk, unsigned char *sk) ;

int crypto_ots_sign(unsigned char *sig,
                    const unsigned char *m,
                    unsigned long long mlen, 
                    const unsigned char *sk);

int crypto_ots_verify(const unsigned char *m,
                      unsigned long long mlen,
                      const unsigned char *sig,
                      const unsigned char *pk);

#endif
